Installer: LockFailedException: Failed to lock /target/var/cache/apt/archives/lock

Bug #743359 reported by Jeff Derksen
812
This bug affects 135 people
Affects Status Importance Assigned to Milestone
ubiquity
Invalid
Undecided
Unassigned
ubiquity (Ubuntu)
High
michael strong
Oneiric
High
Colin Watson

Bug Description

Binary package hint: ubiquity

Installer Crashed while installing Ubuntu 10.10 (dual boot with Win7) from live USB. Crash occurred while "Checking for packages to remove...".

Revision history for this message
Jeff Derksen (derksenorama) wrote :
Colin Watson (cjwatson)
summary: - Installer Crashed while removing packages
+ LockFailedException: Failed to lock /target/var/cache/apt/archives/lock
Revision history for this message
Hiroshi Miura (miurahr) wrote : Re: LockFailedException: Failed to lock /target/var/cache/apt/archives/lock

I also got similar error lasting;
Apr 3 13:43:19 ubuntu finish-install: Disabling CD in sources.list
Apr 3 13:43:19 ubuntu python: Exception during installation:
Apr 3 13:43:19 ubuntu python: Traceback (most recent call last):
Apr 3 13:43:19 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 1424, in <module>
Apr 3 13:43:19 ubuntu python: install.run()
Apr 3 13:43:19 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 54, in wrapper
Apr 3 13:43:19 ubuntu python: func(self)
Apr 3 13:43:19 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 187, in run
Apr 3 13:43:19 ubuntu python: self.remove_extras()
Apr 3 13:43:19 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 1214, in remove_extras
Apr 3 13:43:19 ubuntu python: self.do_remove(regular)
Apr 3 13:43:19 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 871, in do_remove
Apr 3 13:43:19 ubuntu python: if not cache.commit(fetchprogress, installprogress):
Apr 3 13:43:19 ubuntu python: File "/usr/lib/python2.6/dist-packages/apt/deprecation.py", line 98, in deprecated_function
Apr 3 13:43:19 ubuntu python: return func(*args, **kwds)
Apr 3 13:43:19 ubuntu python: File "/usr/lib/python2.6/dist-packages/apt/cache.py", line 424, in commit
Apr 3 13:43:19 ubuntu python: res = self._fetch_archives(fetcher, pm)
Apr 3 13:43:19 ubuntu python: File "/usr/lib/python2.6/dist-packages/apt/cache.py", line 271, in _fetch_archives
Apr 3 13:43:19 ubuntu python: raise LockFailedException("Failed to lock %s" % lockfile)
Apr 3 13:43:19 ubuntu python: LockFailedException: Failed to lock /target/var/cache/apt/archives/lock
Apr 3 13:43:19 ubuntu python:

Revision history for this message
Jan Killian (jan-killian) wrote :

Also happens with 11.04 installer.

1. Created an unetbootin USB key from the release xubuntu-11.04-desktop-amd64.iso (md5 verified).

2. Booted the USB and selected Install Xubuntu in boot menu.

3. Chose to install the extra packages and download updates (wifi did not catch-up, so I plugged ethernet cable and installer detected net successfully).

4. Repartitioned manually all space as 256MB ext4 /boot + 4GB swap + 304GB btrfs /

5. Created user and chose autologon and no home encryption (using acer notebook disk lock in bios instead).

The installer crashed at "Checking for packages to remove".

After the crash, live XFCE was started, and after running installer again, it completed sucessfully.

According to syslog:
 plugininstall.py: File "/usr/lib/python2.7/dist-packages/apt/cache.py", line 279, in _fetch_archives
 plugininstall.py: LockFailedException: Failed to lock /target/var/cache/apt/archives/lock

See /var/log/syslog attached to my original report at related (probably the same, but marked invalid due to possible hdd failure) bug:
https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/740558
https://launchpadlibrarian.net/72840690/syslog

Another related question: https://answers.launchpad.net/ubuntu/+question/152359

summary: - LockFailedException: Failed to lock /target/var/cache/apt/archives/lock
+ Installer: LockFailedException: Failed to lock
+ /target/var/cache/apt/archives/lock
tags: added: installer maverick natty usb
Changed in ubiquity (Ubuntu):
status: New → Confirmed
Revision history for this message
Christian Hilgers (9e9o-cclic-0zxv) wrote :

It happen for me during an initial installation from scratch of lubuntu inside a virtualbox.

attached a tarball for syslog and partman

Christian

tags: added: ubiquity-2.4.8
Revision history for this message
Brian Murray (brian-murray) wrote : Traceback
Download full text (52.7 KiB)

Exception during installation:
Mar 26 22:15:36 ubuntu python: Traceback (most recent call last):
Mar 26 22:15:36 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 1424, in <module>
Mar 26 22:15:36 ubuntu python: install.run()
Mar 26 22:15:36 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 54, in wrapper
Mar 26 22:15:36 ubuntu python: func(self)
Mar 26 22:15:36 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 187, in run
Mar 26 22:15:36 ubuntu python: self.remove_extras()
Mar 26 22:15:36 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 1214, in remove_extras
Mar 26 22:15:36 ubuntu python: self.do_remove(regular)
Mar 26 22:15:36 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 871, in do_remove
Mar 26 22:15:36 ubuntu python: if not cache.commit(fetchprogress, installprogress):
Mar 26 22:15:36 ubuntu python: File "/usr/lib/python2.6/dist-packages/apt/deprecation.py", line 98, in deprecated_function
Mar 26 22:15:36 ubuntu python: return func(*args, **kwds)
Mar 26 22:15:36 ubuntu python: File "/usr/lib/python2.6/dist-packages/apt/cache.py", line 424, in commit
Mar 26 22:15:36 ubuntu python: res = self._fetch_archives(fetcher, pm)
Mar 26 22:15:36 ubuntu python: File "/usr/lib/python2.6/dist-packages/apt/cache.py", line 271, in _fetch_archives
Mar 26 22:15:36 ubuntu python: raise LockFailedException("Failed to lock %s" % lockfile)
Mar 26 22:15:36 ubuntu python: LockFailedException: Failed to lock /target/var/cache/apt/archives/lock
Mar 26 22:15:36 ubuntu python:
Mar 26 22:16:05 ubuntu AptDaemon: INFO: Quiting due to inactivity
Mar 26 22:16:05 ubuntu AptDaemon: INFO: Shutdown was requested
Mar 26 22:16:05 ubuntu AptDaemon: INFO: Initializing daemon
Mar 26 22:17:01 ubuntu CRON[30809]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Mar 26 22:17:36 ubuntu ubiquity[30831]: Ubiquity 2.4.8
Mar 26 22:17:36 ubuntu ubiquity: umount: /target: device is busy.
Mar 26 22:17:36 ubuntu ubiquity: (In some cases useful info about processes that use
Mar 26 22:17:36 ubuntu ubiquity: the device is found by lsof(8) or fuser(1))
Mar 26 22:17:36 ubuntu ubiquity[30831]: log-output -t ubiquity umount /target
Mar 26 22:17:37 ubuntu ubiquity[30831]: log-output -t ubiquity laptop-detect
Mar 26 22:17:37 ubuntu ubiquity[30831]: log-output -t ubiquity fontconfig-voodoo --auto --force --quiet
Mar 26 22:17:39 ubuntu ubiquity[30831]: switched to page language
Mar 26 22:17:40 ubuntu localechooser: info: Locale has been preseeded to en_CA.UTF-8
Mar 26 22:17:40 ubuntu localechooser: info: Set localechooser/languagelist = 'en'
Mar 26 22:17:40 ubuntu localechooser: info: Set debian-installer/country = 'CA'
Mar 26 22:17:40 ubuntu localechooser: info: Set debian-installer/locale = 'en_CA.UTF-8'
Mar 26 22:17:40 ubuntu ubiquity[30831]: switched to page language
Mar 26 22:17:47 ubuntu localechooser: info: Language = 'en'
Mar 26 22:17:47 ubuntu localechooser: info: line=en;0;US;UTF-8;en_US.UTF-8;;console-setup
Mar 26 22:17:47 ubuntu localechooser: info: Set debian-installer/language = 'en'
Mar 26 22:17:47 ubuntu localechooser: info: Set d...

tags: added: installer-crash
Revision history for this message
Brian Murray (brian-murray) wrote :
Download full text (260.6 KiB)

Exception during installation:
Apr 3 04:31:31 ubuntu python: Traceback (most recent call last):
Apr 3 04:31:31 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 1424, in <module>
Apr 3 04:31:31 ubuntu python: install.run()
Apr 3 04:31:31 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 54, in wrapper
Apr 3 04:31:31 ubuntu python: func(self)
Apr 3 04:31:31 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 187, in run
Apr 3 04:31:31 ubuntu python: self.remove_extras()
Apr 3 04:31:31 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 1214, in remove_extras
Apr 3 04:31:31 ubuntu python: self.do_remove(regular)
Apr 3 04:31:31 ubuntu python: File "/usr/share/ubiquity/plugininstall.py", line 871, in do_remove
Apr 3 04:31:31 ubuntu python: if not cache.commit(fetchprogress, installprogress):
Apr 3 04:31:31 ubuntu python: File "/usr/lib/python2.6/dist-packages/apt/deprecation.py", line 98, in deprecated_function
Apr 3 04:31:31 ubuntu python: return func(*args, **kwds)
Apr 3 04:31:31 ubuntu python: File "/usr/lib/python2.6/dist-packages/apt/cache.py", line 424, in commit
Apr 3 04:31:31 ubuntu python: res = self._fetch_archives(fetcher, pm)
Apr 3 04:31:31 ubuntu python: File "/usr/lib/python2.6/dist-packages/apt/cache.py", line 271, in _fetch_archives
Apr 3 04:31:31 ubuntu python: raise LockFailedException("Failed to lock %s" % lockfile)
Apr 3 04:31:31 ubuntu python: LockFailedException: Failed to lock /target/var/cache/apt/archives/lock
Apr 3 04:31:31 ubuntu python:
Apr 3 04:31:57 ubuntu kernel: [ 876.549995] intel ips 0000:00:1f.6: MCP power or thermal limit exceeded
Apr 3 04:32:18 ubuntu ubiquity[31256]: Ubiquity 2.4.8
Apr 3 04:32:19 ubuntu ubiquity[31256]: log-output -t ubiquity umount /target
Apr 3 04:32:20 ubuntu ubiquity[31256]: log-output -t ubiquity laptop-detect
Apr 3 04:32:21 ubuntu ubiquity[31256]: switched to page language
Apr 3 04:32:22 ubuntu localechooser: info: Locale has been preseeded to ja_JP.UTF-8
Apr 3 04:32:22 ubuntu localechooser: info: Set localechooser/languagelist = 'ja'
Apr 3 04:32:22 ubuntu localechooser: info: Set debian-installer/country = 'JP'
Apr 3 04:32:22 ubuntu localechooser: info: Set debian-installer/locale = 'ja_JP.UTF-8'
Apr 3 04:32:22 ubuntu ubiquity[31256]: switched to page language
Apr 3 04:32:25 ubuntu localechooser: info: Language = 'ja'
Apr 3 04:32:25 ubuntu localechooser: info: line=ja;3;JP;UTF-8;ja_JP.UTF-8;;
Apr 3 04:32:25 ubuntu localechooser: info: Set debian-installer/language = 'ja'
Apr 3 04:32:25 ubuntu localechooser: info: Set debian-installer/locale = 'ja_JP.UTF-8'
Apr 3 04:32:25 ubuntu localechooser: info: Set debian-installer/fallbacklocale = 'ja_JP.UTF-8'
Apr 3 04:32:25 ubuntu localechooser: info: Default country = 'JP'
Apr 3 04:32:25 ubuntu localechooser: info: Set debian-installer/consoledisplay = ''
Apr 3 04:32:25 ubuntu localechooser: info: Set debian-installer/country = 'JP'
Apr 3 04:32:25 ubuntu localechooser: info: Set debian-installer/locale = 'ja_JP.UTF-8'
Apr 3 04:32:25 ubuntu localechooser: info: Selected locale (debian-installer/locale) ...

Changed in ubiquity (Ubuntu):
importance: Undecided → Medium
Changed in ubiquity (Ubuntu Oneiric):
milestone: none → ubuntu-11.10-beta-1
assignee: nobody → Evan Dandrea (ev)
Revision history for this message
Dan Kegel (dank) wrote :

This keeps me from installing oneiric beta 3. Want logs?

Revision history for this message
Dan Kegel (dank) wrote :

Whoops, I meant alpha 3.

Martin Pitt (pitti)
Changed in ubiquity (Ubuntu):
milestone: ubuntu-11.10-beta-1 → ubuntu-11.10-beta-2
Revision history for this message
Victor Martinez (victored) wrote :

The same happened to me today while trying to install Oneiric Beta 1 (clean installation). I've never experienced this problem before during the process (that includes Ubuntu 10.04, 10.10 and Oneiric Alpha 2 and 3 - all clean installations).

Revision history for this message
Colin Norris (sirrontm) wrote :

A while back I created a virtual machine with VirtualBox 4.0.12 for Xubuntu Oneric amd64 Alpha2 (I think it was Alpha2) and that installed and worked as expected. I later upgraded that installation via apt and it still worked. Today I downloaded the ISO of Xubuntu Oneric amd64 Beta1 and attempted to install it over the top of the Alpha2 installation, but experienced this bug.

Revision history for this message
ericc (eric-cheminot) wrote :

Same here (11.10 beta2). Installation crashed (I do not know how to get the log) just before the end. I initially though everything was actually OK, but I have a lot of problem with startup scripts.

Revision history for this message
Victor Costan (costan) wrote :

I downloaded the 11.10 32-bit x86 beta ISO, and attempted to install in a newly created VirtualBox VM. I set the RAM to 1024Mb, and accepted the defaults for all the other settings. The host OS is Ubuntu 11.04 x86_64, with VirtualBox 4.0.4.

Revision history for this message
Emilien Klein (emilien-klein) wrote :

Same crash while installing Ubuntu 11.10 beta 1 in a VMWare with 1900 Mb Ram, all others are default settings. Host OS is Win7.

/var/log/syslog also contains reference to this LockFailedException:
Sep 7 14:34:31 ubuntu plugininstall.py: LockFailedException: Failed to lock /target/var/cache/apt/archives/lock

`ubuntu-bug ubiquity` opens this bug report in the browser after having displayed an exception, not really a part of this bug report but might hint to some missing info maybe?

ubuntu@ubuntu:~$ ubuntu-bug ubiquity
ERROR: hook /usr/share/apport/package-hooks//source_ubiquity.py crashed:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/apport/report.py", line 663, in add_hooks_info
    symb['add_info'](self, ui)
  File "/usr/share/apport/package-hooks//source_ubiquity.py", line 78, in add_info
    report['DuplicateSignature'] = duplicate_signature
  File "/usr/lib/python2.7/dist-packages/problem_report.py", line 510, in __setitem__
    and (hasattr(v[0], 'isalnum') or hasattr(v[0], 'read'))))
AssertionError

I'll report this in a separate bug agains apport.

Revision history for this message
LAZA (laza74) wrote :

My first installation failed on a dual boot system with Win 7.

Second try lead to a kernel bug/trace/error --> dmesg.txt attached and

Third try WITHOUT activating Updates and Third-Party Software was successful!

Revision history for this message
LAZA (laza74) wrote :

Output of lshw

Revision history for this message
xofox (babaspam) wrote :

Same crash while installing Ubuntu Oneiric beta 1 in a Virtualbox with 1024 Mb Ram, all others are default settings. Host OS is Ubuntu Natty.
The bug comes when : "Checking for packages to remove...".

Revision history for this message
Bruce Pieterse (octoquad) wrote :

Same here, it crashes on Preparing to remove unwanted packages.

Revision history for this message
rumpl (rumplstielz) wrote :

Same here while trying to install parallel to Win7. Please let me know if you need any logs. I'll try to get them.

Revision history for this message
rumpl (rumplstielz) wrote :

ubuntu@ubuntu:~$ ubuntu-bug ubiquity
ERROR: hook /usr/share/apport/package-hooks//source_ubiquity.py crashed:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/apport/report.py", line 663, in add_hooks_info
    symb['add_info'](self, ui)
  File "/usr/share/apport/package-hooks//source_ubiquity.py", line 78, in add_info
    report['DuplicateSignature'] = duplicate_signature
  File "/usr/lib/python2.7/dist-packages/problem_report.py", line 510, in __setitem__
    and (hasattr(v[0], 'isalnum') or hasattr(v[0], 'read'))))
AssertionError
ubuntu@ubuntu:~$

Revision history for this message
Mikko Ohtamaa (mikko-red-innovation) wrote :

The same issue with Acer desktop, 11.10 beta 1.

Reinstall without "Dowload updates from Internet" and "with extra codecs" succeeded.

Revision history for this message
Brett Alton (brett-alton-deactivatedaccount) wrote :

This occurred on my Asus K72JR with "Dowload updates from Internet" and "with extra codecs" checked, upgrading from 11.04 to 11.10beta1 using an SD card.

Let me know what logs I need to post.

Revision history for this message
rumpl (rumplstielz) wrote :

when unchecking "Download updates" and "extra codecs" it worked for me Asus P5n32e-sli

Revision history for this message
wolfen69 (wolfen69) wrote :

Installer crashed for me from live session using beta 1 64bit.

Revision history for this message
Federico (fkremer-terra) wrote :

The crash occurred on install CD w. W7. Previous downloads from 11.10 the same except the most first beta.

Revision history for this message
Abdelaziz Yakout (yooozy) wrote :

a file couldn't be retrieved from cd:
retrieving file 12/52 (3min 52sec..) I was forced to click skip then installation crashed when removing packages

other info:
installing desktop, 11.10 beta 1 on an old machine
box checked "Download updates" only <<probably this is the problem as Mikko suggested I'll try reinstalling

Revision history for this message
Wild Man (wildmanne39) wrote :

Crash happened when installing oneiric beta with windows 7 one another drive with natty.
I reported it and it told me the bug has already been reported. I have had a lot of trouble running oneiric since I installed alpha, it would install then crash after updates, now it does not install at all.

I am running a Phenom 9150 quad core, with 7 gigs of ram, and a nividia geforce 6150 video card.

Revision history for this message
Federico (fkremer-terra) wrote :

volvi a instalar desde cero y aparece este error en la "comprobacion de paquetes a desinstalar", y no permite una instalación limpia de Ubuntu 11.10 aún.

Revision history for this message
Abdelaziz Yakout (yooozy) wrote :

reinstalled fine!
I deselected "Download updates" and "extra codecs"

it seems that some package released after beta1 is causing the problem!

Revision history for this message
vsm (vonsachermasoch) wrote :

I can confirm that the bug does not affect clean installation procedure if "updates" and "extra codecs" are not checked. I reproduced this on two different systems (desktop and laptop), both dual booting (one ubuntu 10.04 and the other win7).
a solution should be proposed before release of course.

Revision history for this message
Yoey (doc-wipers) wrote :

This is still an issue in Beta 2

Revision history for this message
Arnaud Soyez (weboide) wrote :

Confirmed here as well in Beta 2.

Revision history for this message
novatillasku (novatillasku) wrote :

me too in Ubuntu 11.10 Beta 2 :-)

Revision history for this message
Billy Reynolds (billy-reynolds-mail) wrote :

I got the same in Ubuntu 11.10 Beta 2, with Windows 8 Developer Preview already installed. Also Ubuntu does not seem to see Windows Developer Preview, it didn't flag that it was there during the install

Revision history for this message
Laurent Schoupi (schoupi) wrote :

Crashed while upgrading from 11.04. There's no dual-boot on this computer. Updates and extra codecs was checked.

Dave Walker (davewalker)
Changed in ubiquity (Ubuntu):
milestone: ubuntu-11.10-beta-2 → ubuntu-11.10
Revision history for this message
myr4ik07 (myr4ik07) wrote :

Installer Crashed while installing Ubuntu 11.10 (dual boot with Win7) from live USB. Crash occurred while "Checking for packages to remove...".

Revision history for this message
Mark Craig (mark-craig) wrote :

Same crash observed while installing in VirtualBox 4.1.0.

Revision history for this message
Sebastian Henneberg (sibi) wrote :

Same crash here while installing 11.10 beta 2 on a ThinkPad X220t. I tried to install 64 bit as well as 32 bit.

Revision history for this message
Ronan Jouchet (ronj) wrote :

Same crash here while installing daily-20110924 / 32bits (post-beta2) on a physical machine (Dell V13).

Revision history for this message
Ronan Jouchet (ronj) wrote :

[Reposting with installation details, sorry.]
Same crash here while installing daily-20110924 / 32bits (post-beta2) on a physical machine (Dell V13).
Installation details :
- Download codecs + updates while installing
- No dual boot, opted to wipe my preexisting ubuntu install
- Opted for automatic login
- English-US

Revision history for this message
Boas Novas (djalma-silva-jr) wrote :

I downloaded the 11.10-beta2-desktop-amd64.iso, and attempted to install in a newly created Virtual Box (ubuntu-11-10-beta2.vmdk (Normal, 8,00 GB). I set the RAM to 1024MB, and accepted the defaults for all the other settings (included the Brazilian Keyboard). The host OS is Ubuntu 11.04 Kernel Linux 2.6.38-11-generic, with VirtualBox 4.1.0

Revision history for this message
kestrel1 (glyn-kcsdorset) wrote :

Trying to install Ubuntu 11.10 Beta 2 as a virtual machine, using Virtual Box 4.0.12 on a host system of Ubuntu 11.04. Assigned 1024mb RAM & 16gb as the hard drive.
Going to give it another bash, Will report further problems.

Revision history for this message
altheli (altheli) wrote :

Trying to install Ubuntu 11.10 Beta 2 on a HP Compaq 8510p, 4 GB Ram, 500 GB Seagate HDD..

Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :

I've been able to reproduce today with Oneiric Beta 2 ISO.
* step prepare: 'Download updates while installing' checked
* step partman: erase everything
* step keyboard: french/french
* kept default values for everything else

Debug log attached.

Changed in ubiquity (Ubuntu Oneiric):
status: Confirmed → Triaged
importance: Medium → High
Revision history for this message
Maicon Molina (maiconmolina) wrote :

Same here. Trying to install Ubuntu 11.10 Beta 2 under UEFI and GPT formated disk.

Revision history for this message
Brad Holland (hollandbr2) wrote :

Same here. Also trying to install Ubuntu 11.10 Beta 2 on a Dell XPS 1530 via Flash Drive.

Revision history for this message
Jean-Francois Messier (jf-messier) wrote :

I was trying to install it on an HP-MINI-110 netbook. It had an existing Ubuntu 10.10 installed on the first partitions. I installed 11.10 on an existing partition that was used for 11.04 in the past. The install went fine, until I had error message as it was trying to remove the temp files. I was installing 11.10 from a USB key made with Unetbootin (latest version) and the desktop-i386 ISO file. I wonder whether this could be caused by the fact I am installing from a USB device ?

I had issues with 11.04 on this HP notebook where it could not boot from the USB key because of some power management issue. Once ACPI was disabled, I could boot fine. Never had any issue with 10.10.

Revision history for this message
Morgan GERMAIN (morgan-germain) wrote :

Also present on ubuntu-11.10-amd64-beta2 ISO

Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :

Here is the output of ps auxf at the time of the crash

Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :

and the output of px auxf every second during a failed install with systog.

Revision history for this message
druidian (druidian-kid) wrote :

I dunno why but another try of installation works properly, I didn't change anything.

Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :

When there is a lot of updates, apt takes time to run. Terminating update-apt-cache doesn't end apt which holds the lock hence the LockFailedException when ubiquity tries to install langpacks or remove packages after installation.

Revision history for this message
JCCyC (jccyc1965) wrote :

Same here with 11.10 Beta 2. From the Live CD startup screen, selected install, told to download updates while installing ==> crash. Self-assembled, no-brand desktop machine. Prompt is inaccessible, should I post output of lspci, fdisk -l etc?

Revision history for this message
Justin Harris (justin-harris789) wrote :

Same error when dual booting 11.10 Beta 2 with Vista, from DVD install almost completes. That is until it wants to remove files or in case update.

Revision history for this message
dombai (avv-baiani) wrote :

Installer crashed during a fresh install of 11.10 beta 2, replacing 1.04. SAme did when tried to upgrade from 1.04 to 11.10.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.7.37

---------------
ubiquity (2.7.37) oneiric; urgency=low

  [ Evan Dandrea ]
  * Only set the ATK widget names to their GtkBuilder counterparts when
    --ldtp is set (LP: #781385)
  * Provide a means of preseeding an oem-config frontend (LP: #820514).
  * Terminate the updates download process before we get to
    remove_extras (LP: #743359).
  * Automatic update of included source packages: console-setup
    1.57ubuntu26, grub-installer 1.68ubuntu2, hw-detect 1.81ubuntu3,
    netcfg 1.68ubuntu5, partman-base 151ubuntu2.
  * Update translations from Launchpad.

  [ Colin Watson ]
  * Install new files from grub-installer >= 1.66.
 -- Evan Dandrea <email address hidden> Wed, 28 Sep 2011 12:15:46 +0100

Changed in ubiquity (Ubuntu Oneiric):
status: Triaged → Fix Released
Revision history for this message
Mtt.Castelli (mtt.castelli) wrote :

Wish I don't lose my data..

Revision history for this message
bob lourie (lourie) wrote :

 9:09 29/9/2011 Same for myself with 11.10 Beta 2. Downloaded about an hour ago. From the Live CD live instance, selected install, selected download updates while installing. Installer Crashed while removing packages
+ LockFailedException: Failed to lock /target/var/cache/apt/archives/lock

Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :

reopening, still an issue with r4999

Changed in ubiquity (Ubuntu Oneiric):
status: Fix Released → Triaged
Revision history for this message
Michael Hamer (mike-k-hamer) wrote :

Same error occurred updating from 11.04 to 11.10 beta 2. No dual booting, installer was set to update over the internet.

tags: added: rls-mgr-o-tracking
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.7.38

---------------
ubiquity (2.7.38) oneiric; urgency=low

  [ Mario Limonciello ]
  * Preseed a bootloader target if one hasn't been set but running in
    automatic mode. (LP: #861465)

  [ Adam Conrad ]
  * Allow fallback from oem-config-slideshow to ubiquity-slideshow for
    cases where the former doesn't exist.
  * Automatic update of included source packages: console-setup
    1.57ubuntu27, flash-kernel 2.28ubuntu34, grub-installer 1.68ubuntu4,
    netcfg 1.68ubuntu6. Fixes FTBFS.

  [ Evan Dandrea ]
  * Use the default signal handler for SIGPIPE, hopefully fixing the
    child processes of update-apt-cache not getting killed along with
    it (LP: #743359).
  * Don't rely on the DBus main loop being set in the prepare plugin
    before it's used elsewhere.
  * Pressing enter in the keyboard test entry should proceed to the next
    page (LP: #862309).
 -- Adam Conrad <email address hidden> Wed, 28 Sep 2011 16:43:42 -0600

Changed in ubiquity (Ubuntu Oneiric):
status: Triaged → Fix Released
Revision history for this message
Wild Man (wildmanne39) wrote :

I have not been able to run 11.10 since early alpha testing, the upgrades would break it.

Now I can not get 11.10 to install I have tried several times but it fails every time, I have an AMD Phenom quad core with 7 gigs of ram and an nvidia 6150 card.

Revision history for this message
alp eren özalp (alperenoz93) wrote :

I downloaded 64-bit PC (AMD64) desktop CD at Ubuntu 11.10 (Oneiric Ocelot) Daily Build page in 30-Sep-2011 and I tried to install from USB.

Changed in ubiquity:
status: New → Fix Committed
status: Fix Committed → New
Revision history for this message
xtracool_protik (protik-seeker) wrote :

I was trying to install 11.10 with install updates while installing option

Revision history for this message
Nicholas Smith (nick-smith) wrote :

I get the same symptom on Beta 2 64 bit.

Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :

reopening, it is still an issue with ubiquity 2.8.1

Changed in ubiquity (Ubuntu Oneiric):
status: Fix Released → Triaged
Revision history for this message
George Pollard (porges) wrote :

Just got this while installing beta 2 in VirtualBox 4.1.2, with 'fetch latest packages' checked.

Revision history for this message
Colin Watson (cjwatson) wrote :

Invalidating the ubiquity project task, as we don't use the ubiquity project for bug tracking. The task on the ubiquity source package in Ubuntu remains open.

Changed in ubiquity:
status: New → Invalid
Revision history for this message
Joe Llywelyn Griffith Blakesley (geek) wrote :

Occurred exactly as described in the above description and repeatably when installing 11.10 beta 2 on a Packard Bell dot s 2 netbook with an existing MS Windows 7 install. All options were set to defaults including repartitioning (although the second time this was unnecessary) and these options were selelcted: MP3 codecs and Internet updates (which worked via WiFi).

Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :

logs with ubiquity 2.8.1
After the failure and ubiquity closed, the process "apt-get -d -y --force-yes -q -o Dir::Cache=/target/var/cache/apt/ upgrade" is still running but the parent process (update-apt-cache) doesn't exist anymore

Revision history for this message
Colin Watson (cjwatson) wrote :

Stealing this bug and having another go. I have a reliable reproduction case now.

(Once I've fixed it, please note that the fix will only affect builds from after the point of the fix, unless you use the "Update this installer" option. We won't need further reports from beta-2.)

Changed in ubiquity (Ubuntu Oneiric):
assignee: Evan Dandrea (ev) → Colin Watson (cjwatson)
status: Triaged → In Progress
Colin Watson (cjwatson)
Changed in ubiquity (Ubuntu Oneiric):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.8.2

---------------
ubiquity (2.8.2) oneiric; urgency=low

  [ Colin Watson ]
  * Preserve ordering of disks returned by partman-auto rather than
    shuffling them based on dictionary ordering (LP: #770711). This uses
    collections.OrderedDict, which requires Python >= 2.7.
  * Run only those parts of oem-config-prepare that require root access as
    root; in particular displaying confirmation dialogs is now done as the
    calling user, which avoids KDE confusion (LP: #856418).
  * Go back to killing update-apt-cache's process group, but this time make
    sure that it's in a separate process group and make more of an effort to
    ensure that it terminates (LP: #743359).
  * Update translations from Launchpad.

  [ Stéphane Graber ]
  * Make ubiquity also update gsettings (LP: #800760)
    - Add a new gsettings module similar to the gconftool one
    - Update ubiquity-dm for gconf to gsettings migration
    - Get PROXY configuration from gsettings
    - Update gtk_ui to set/restore gsettings values
  * Update copy_network_config to work with Network Manager now storing
    everything system wide.
 -- Stephane Graber <email address hidden> Mon, 03 Oct 2011 17:31:46 -0400

Changed in ubiquity (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Revision history for this message
Steve B (stevebsame) wrote :

In My case its Oneiric, Beta 2 being installed alongside Win 7, Installation media is DVD

Revision history for this message
Colin Watson (cjwatson) wrote : Re: [Bug 743359] Re: Installer: LockFailedException: Failed to lock /target/var/cache/apt/archives/lock

Thanks. At this point we don't need further reports from people
installing beta 2 and experiencing this problem.

Revision history for this message
Robert Scott (scottrob12) wrote :

Installer crashed when checking for packages to remove. This happened on both 64 bit and 32 bit versions. This is a new computer I intend to dual-boot Windows 7 and Ubuntu.

Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :

Robert, I'm unable to reproduce this defect with Ubiquity 2.8.2. Please verify that you are using this version or higher, then file a new report.

Thanks in advance.

Revision history for this message
Barry Drake (b-drake) wrote :

Happened at the end of a fresh install of Edubuntu. Have not seen the problem in Ubuntu testing. This was a clean install - not dual boot.

Revision history for this message
Laurent Dinclaux (dreadlox) wrote :

Is that fixed in beta 2? Because I just had the issue with beta dvd iso

Revision history for this message
Colin Watson (cjwatson) wrote :

It is not fixed in beta 2. It is fixed in more recent daily builds.

daizuozhuo (daizuozhuo)
Changed in ubiquity (Ubuntu Oneiric):
assignee: Colin Watson (cjwatson) → daizuozhuo (daizuozhuo)
Colin Watson (cjwatson)
Changed in ubiquity (Ubuntu Oneiric):
assignee: daizuozhuo (daizuozhuo) → Colin Watson (cjwatson)
Revision history for this message
evalckea (evalckea) wrote :

In my case I was installing along side with Kubuntu 11.04

Revision history for this message
basuwa (basuwa-op) wrote :

what to do? Bug#743359:""ubiquity""source package:Oneiric(10.10):Ubuntu

Changed in ubiquity (Ubuntu Oneiric):
assignee: Colin Watson (cjwatson) → basuwa (basuwa-op)
Revision history for this message
Colin Watson (cjwatson) wrote :

Use a current daily build of Oneiric, which has this fixed - and please stop changing the assignee of this bug!

Changed in ubiquity (Ubuntu Oneiric):
assignee: basuwa (basuwa-op) → Colin Watson (cjwatson)
Revision history for this message
John Roblin (john-roblin) wrote :

Strangely the first time I installed beta 2 (albeit over Mageia) I had no crash; now I have one from a fresh install.

Revision history for this message
Bryan Zimmerman (codeabit) wrote :

Installer crashed during fresh install of beta 2 in VirtualBox.

Revision history for this message
Glavspirt (cerera) wrote :

The same error installing Xubuntu 11.10 beta2 32bit from livecd with manual disk partitioning, dualboot WinVista.

Revision history for this message
Olivier Dupré (leminipouce-v) wrote :

Hi,

In my case I was simply doing a fresh install from a live-USB stick, on a brand new HDD, brand new machine (no dual-boot nor everything else...)

Good luck,
Olivier

Revision history for this message
daragh (daraghfi) wrote :

deleted existing partitions, installing absolutely fresh on Netbook Samsung NC10

tags: added: iso-testing
Revision history for this message
Evan (ev) wrote :

We do not need reports from people experiencing this bug with Ubuntu 11.04 or Ubuntu 11.10 Beta 2. Please only reply to this bug report if you are seeing this exact issue with the Ubuntu 11.10 release candidate or a later version.

Thanks!

Revision history for this message
Björn Harrtell (bjorn-wololo) wrote :

Getting this with Ubuntu 11.10 release version (CD iso, amd64) :(

Revision history for this message
Jaydip Guha (guha-jaydip) wrote :

Same error while I try to fresh install Ubuntu 11.10 (amd64b) final release on my desktop. I am experiencing the same error since Alpha release.

Revision history for this message
PascalC (p92) wrote :

Still true with upgrade from Kubuntu 11.04 to official 11.10 release

If selecting upgrade from the kpackagekit window, the upgrade fails with
"faild to lock /var/cache/apt/archives/lock"

Revision history for this message
PascalC (p92) wrote :

oops wrong bug report for comment #90 - sorry

Revision history for this message
rumpl (rumplstielz) wrote :

It is not crashing now in this step, but now crashing while installing grub... failed to install grub on /dev/mapper/nvidiablablabla with ubuntu 11.10 usb installation and live cd

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

@rumpl please file a new bug against your problem.

Revision history for this message
rumpl (rumplstielz) wrote :

already done Bug 877986 but no answer since opening

Revision history for this message
axel (draxelpless) wrote :

Hi, frustrating installation process! Always at the end:....removing packages the whole installer crashes. Installation thus incomplete.Trying again and again...just the same. Installation CD is told to be not clean...nonsense! It is as clean as clean can be!
Do not really know what to do about this. Download new iso file from ubuntu with a fix?? Please notify me as i am new to this and not familiar with repair procedurers. Greetings Axel

Changed in ubiquity (Ubuntu):
assignee: Colin Watson (cjwatson) → michael strong (strongymk1)
Revision history for this message
Jason Content (jasoncontent) wrote :

Ubuntu Failed on me to 11.10 beta 2. I am trying to install it alongside MAC OSX on my Macbook pro 2010 model. Im new to Linux but am certified in other OS's.

Revision history for this message
Marco Trevisan (Treviño) (3v1n0) wrote :

Failed using oneiric beta 20110921.2 in a new Eee PC 1215P from SD, when installing grub.

Revision history for this message
rebroad (rebroad) wrote :

Failed to install Ubuntu 11.10 due to this error. This is the latest version (as of the last month)... so.... kinda a show-stopper....

Revision history for this message
Willya (elysium306) wrote :

while I installed Ubuntu, I had this message popup

tags: added: oneiric
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions